using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 坡比观测明细
    /// </summary>
    [Description("坡比观测明细")]
    public class T_TL_WATCH_PERCENT_DETAIL_USER : MesEntityBase
    {
        /// <summary>
        /// 坡比观测明细
        /// </summary>
        [Description("坡比观测明细")]
        [DataFieldForeignKey("Nav_PercentDetail", "Nav_ListUser")]
        public Guid PERCENT_DETAIL_ID { get; set; }

        /// <summary>
        /// 坡比观测明细
        /// </summary>
        [Description("坡比观测明细")]
        [FormFieldEdit]
        public T_TL_WATCH_PERCENT_DETAIL Nav_PercentDetail { get; set; }

        /// <summary>
        /// 用户
        /// </summary>
        [Description("用户")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 用户
        /// </summary>
        [Description("用户")]
        [FormFieldEdit]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否确认 默认是  如果观测人 不是 登记人 需要再次确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; }
    }
}